/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* CascadeBG.h,v 1.5 1995/10/19 12:44:13 pgw Exp */

#if !defined(_XARM_CASCADEBG_H_)
#define _XARM_CASCADEBG_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/LabelG.h>

class CascadeButtonGadgetClass : public LabelGadgetClass {
 protected:
   CascadeButtonGadgetClass() {}
   virtual WidgetClass classPointer() { return xmCascadeButtonGadgetClass; }
   virtual _XtString className() { return (_XtString) "XmCascadeButtonGadget"; }
 public:
   /* callbacks */
   void activateCallback(XtCallbackProc funcp, XtPointer data = NULL);
   void cascadingCallback(XtCallbackProc funcp, XtPointer data = NULL);

   /* resources */
   void cascadePixmap(Pixmap);
   Pixmap cascadePixmap();
   void mappingDelay(int);
   int mappingDelay();
   void subMenuId(Widget sub); /* expects a PulldownMenu */
   Widget subMenuId();
};

class CascadeButtonGadget : public CascadeButtonGadgetClass {
 public:
   CascadeButtonGadget(Widget parent, char *str, _XtString name = NULL);
   CascadeButtonGadget(Widget parent,
                       ArgList arglist = NULL, 
                       Cardinal cnt = 0,
                       _XtString name = NULL);
   CascadeButtonGadget(_XtString name, Widget parent);
};

#endif
