/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* Frame.h,v 1.5 1995/10/19 12:44:22 pgw Exp */

#if !defined(_XARM_FRAME_H_)
#define _XARM_FRAME_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Manager.h>

class FrameClass : public ManagerClass {
 protected:
   FrameClass() {} /* only a derived class can make this */
   virtual WidgetClass classPointer() { return xmFrameWidgetClass; }
   virtual _XtString className() { return (_XtString) "XmFrame"; } 
 public:
   /* resources */
   void marginHeight(Dimension);
   Dimension marginHeight();
   void marginWidth(Dimension);
   Dimension marginWidth();
   void shadowType(unsigned char);
   unsigned char shadowType();
};

class Frame : public FrameClass {
 public:
   Frame(Widget parent,
         ArgList arglist = NULL,
         Cardinal cnt = 0,
         _XtString name = NULL);
   Frame(_XtString name, Widget parent);
};

#endif
