/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* SeparatoG.h,v 1.5 1995/10/19 12:44:38 pgw Exp */

#if !defined(_XARM_SEPARATOG_H_)
#define _XARM_SEPARATOG_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Gadget.h>

class SeparatorGadgetClass : public GadgetClass {
 protected:
   SeparatorGadgetClass() {}
   virtual WidgetClass classPointer() { return xmSeparatorGadgetClass; }
   virtual _XtString className() { return (_XtString) "XmSeparatorGadget"; }
 public:
   /* resources */
   void margin(Dimension);
   Dimension margin();
   void orientation(unsigned char);
   unsigned char orientation();
   void separatorType(unsigned char);
   unsigned char separatorType();
};

class SeparatorGadget : public SeparatorGadgetClass {
 public:
   SeparatorGadget(Widget parent,
                   ArgList arglist = NULL,
                   Cardinal cnt = 0,
                   _XtString name = NULL);
   SeparatorGadget(_XtString name, Widget parent);
};

#endif
