/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* VendorS.h,v 1.5 1995/10/19 12:44:43 pgw Exp */

/* Don't put the following include inside the if ... endif */
/* Include(s): */
#include <Xarm/Shell.h>

#if !defined(_XARM_VENDORS_H_)
#define _XARM_VENDORS_H_

class VendorShellClass : public WMShellClass {
 protected:
   VendorShellClass() {}
   
   virtual WidgetClass classPointer() { return vendorShellWidgetClass; }
   virtual _XtString className() { return (_XtString) "VendorShell"; }
 public:
   /* extra functionality */
   void deleteWindowCallback(XtCallbackProc funcp, XtPointer data = NULL);
   void saveYourselfCallback(XtCallbackProc funcp, XtPointer data = NULL);
   void takeFocusCallback(XtCallbackProc funcp, XtPointer data = NULL);

   /* resources */
   void audibleWarning(unsigned char);
   unsigned char audibleWarning();
   XmFontList defaultFontList();
   void deleteResponse(unsigned char);
   unsigned char deleteResponse();
   void inputMethod(_XtString);
   _XtString inputMethod();
   void keyboardFocusPolicy(unsigned char);
   unsigned char keyboardFocusPolicy();
   void mwmDecorations(int);
   int mwmDecorations();
   void mwmFunctions(int);
   int mwmFunctions();
   void mwmInputMode(int);
   int mwmInputMode();
   void mwmMenu(_XtString);
   _XtString mwmMenu();
   void preeditType(_XtString);
   _XtString preeditType();
   void shellUnitType(unsigned char);
   unsigned char shellUnitType();
   void useAsyncGeometry(Boolean);
   Boolean useAsyncGeometry();
};

#endif

