/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* ArrowB.C,v 1.4 1995/10/19 12:44:52 pgw Exp */

#include <Xarm/ArrowB.h>
/* ArrowButtonClass member functions */

void
ArrowButtonClass::activateCallback(XtCallbackProc fp, XtPointer udata)
{
   addCallback(XmNactivateCallback,fp,udata);
}

void
ArrowButtonClass::armCallback(XtCallbackProc fp, XtPointer udata)
{
   addCallback(XmNarmCallback,fp,udata);
}

void
ArrowButtonClass::disarmCallback(XtCallbackProc fp, XtPointer udata)
{
   addCallback(XmNdisarmCallback,fp,udata);
}

void
ArrowButtonClass::arrowDirection(unsigned char direction)
{
   XtVaSetValues(widget(),XmNarrowDirection,direction,NULL);
}

void
ArrowButtonClass::multiClick(unsigned char click)
{
   XtVaSetValues(widget(),XmNmultiClick,click,NULL);
}

/* Arrow Button Constructor */

ArrowButton::ArrowButton(Widget parent, ArgList arglist, Cardinal cnt, _XtString name)
{
   Widget wid = createWidget(name, parent, arglist, cnt);

   widget(wid);
   manage();
}

ArrowButton::ArrowButton(_XtString name, Widget parent)
{
   Widget wid = createWidget(name, parent);

   widget(wid);
   manage();
}

/* */
