/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* MenuB.C,v 1.3 1995/10/19 12:45:06 pgw Exp */
#include <Xarm/MenuB.h>

/* MenuButton member functions */
MenuButton::MenuButton(Widget parent, char *str, KeySym mn, _XtString name):
   PulldownMenu(parent),
   button(parent,str,name)
{
   button.subMenuId(*this);
   if(mn != 0) button.mnemonic(mn);
}

MenuButton::MenuButton(_XtString name, Widget parent):
   PulldownMenu(parent),
   button(name, parent)
{
   button.subMenuId(*this);
}

