/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* ArrowBG.h,v 1.5 1995/10/19 12:44:10 pgw Exp */

#if !defined(_XARM_ARROWBG_H_)
#define _XARM_ARROWBG_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Gadget.h>

class ArrowButtonGadgetClass : public GadgetClass {
 protected:
   ArrowButtonGadgetClass() {}

   virtual WidgetClass classPointer() { return xmArrowButtonGadgetClass; }
   virtual _XtString className() { return (_XtString) "XmArrowButtonGadget"; }
 public:
   /* callbacks */
   void activateCallback(XtCallbackProc funcp, XtPointer data = NULL);
   void armCallback(XtCallbackProc funcp, XtPointer data = NULL);
   void disarmCallback(XtCallbackProc funcp, XtPointer data = NULL);

   /* resources */
   void arrowDirection(unsigned char);
   unsigned char arrowDirection();
   void multiClick(unsigned char);
   unsigned char multiClick();
};

class ArrowButtonGadget : public ArrowButtonGadgetClass {
 public:
   ArrowButtonGadget(Widget parent,
                     ArgList arglist = NULL, 
                     Cardinal argcnt = 0,
                     _XtString name = NULL);
   ArrowButtonGadget(_XtString name, Widget parent);
};

#endif
