/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* Composite.h,v 1.5 1995/10/19 12:44:15 pgw Exp */

#if !defined(_XARM_COMPOSITE_H_)
#define _XARM_COMPOSITE_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Core.h>

class CompositeClass : public CoreClass {
 protected:
   CompositeClass() {}

   virtual WidgetClass classPointer() { return compositeWidgetClass; }
   virtual _XtString className() { return (_XtString) "Composite"; }
 public:
   void insertPosition(XtOrderProc);
   WidgetList children();
   int numChildren();
};

#endif
