/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* DialogS.h,v 1.5 1995/10/19 12:44:17 pgw Exp */

#if !defined(_XARM_DIALOGS_H_)
#define _XARM_DIALOGS_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Shell.h>

class DialogShellClass : public TransientShellClass {
 protected:
   DialogShellClass() {}
   virtual WidgetClass classPointer() { return xmDialogShellWidgetClass; } 
   virtual _XtString className() { return (_XtString) "XmDialogShell"; } 
};

class DialogShell : public DialogShellClass {
 public:
   DialogShell(Widget parent, 
               ArgList arglist = NULL, 
               Cardinal cnt = 0,
               _XtString name = NULL);
   DialogShell(_XtString name, Widget parent);
};

#endif
