/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* Display.h,v 1.5 1995/10/19 12:44:18 pgw Exp */

#if !defined(_XARM_DISPLAY_H_)
#define _XARM_DISPLAY_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/ApplicationS.h>

class DisplayClass;
typedef DisplayClass *WDisplay;
WDisplay getWDisplay(Display *);

class DisplayClass : public ApplicationShellClass {
 protected:
   friend WDisplay getWDisplay(Display *);
   DisplayClass() {} /* only a derived class can make this */

   virtual WidgetClass classPointer() { return xmDisplayClass; }
   virtual _XtString className() { return (_XtString) "XmDisplay"; }
 public:
   /* resources */

#if defined(HAVE_DVB)
   /* well this seems to be missing in Motif 1.2.3 */
   void defaultVirtualBindings(_XtString);
   _XtString defaultVirtualBindings();
#endif

   void dragInitiatorProtocolStyle(unsigned char);
   unsigned char dragInitiatorProtocolStyle();
   void dragReceiverProtocolStyle(unsigned char);
   unsigned char dragReceiverProtocolStyle();
};


#endif
