/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* MenuShell.h,v 1.5 1995/10/19 12:44:27 pgw Exp */

#if !defined(_XARM_MENUSHELL_H_)
#define _XARM_MENUSHELL_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Shell.h>

class MenuShellClass : public OverrideShellClass {
 protected:
   MenuShellClass() {}
   virtual WidgetClass classPointer() { return xmMenuShellWidgetClass; }
   virtual _XtString className() { return (_XtString) "XmMenuShell"; }
 public:
   void buttonFontList(XmFontList);
   XmFontList buttonFontList(); 
   XmFontList defaultFontList();
   void labelFontList(XmFontList);
   XmFontList labelFontList();
};

class MenuShell : public MenuShellClass {
 public:
   MenuShell(Widget parent, 
             ArgList arglist = NULL, 
             Cardinal cnt = 0,
             _XtString name = NULL);
   MenuShell(_XtString name, Widget parent);
};

#endif
