/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* Object.h,v 1.5 1995/10/19 12:44:29 pgw Exp */

#if !defined(_XARM_OBJECT_H_)
#define _XARM_OBJECT_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Registry.h>

class _ObjectClass : public DropSiteClass {
 protected:
   _ObjectClass() {} /* only a derived class can make this */

   virtual WidgetClass classPointer() { return objectClass; }
   virtual _XtString className() { return (_XtString) "Object"; }
 public:
   /* This is defined in BaseClass, but I put it here to follow the doc
      for Motif 1.2.  It actually just calls the one in BaseClass. */
   void destroyCallback(XtCallbackProc funcp, XtPointer data = NULL);  
};

#endif
