/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* RectObj.h,v 1.5 1995/10/19 12:44:33 pgw Exp */

#if !defined(_XARM_RECTOBJ_H_)
#define _XARM_RECTOBJ_H_

/* ======================================================================= */
/* Include(s): */
#include <Xarm/Object.h>

class _RectObjClass : public _ObjectClass {
 protected:
   _RectObjClass() {}

   virtual WidgetClass classPointer() { return rectObjClass; }
   virtual _XtString className() { return (_XtString) "RectObj"; }
 public:
   /* resources */
   Boolean ancestorSensitive();
   void borderWidth(Dimension);
   Dimension borderWidth();
   Dimension height();
   void height(Dimension);
   void sensitive(Boolean cond);
   Boolean sensitive();
   Dimension width();
   void width(Dimension);
   Position x();
   void x(Position xpos);
   Position y();
   void y(Position ypos);

   /* extra */
   void disable() { sensitive(FALSE); }
   void enable() { sensitive(TRUE); }
};

#endif
