/* Notebook.h,v 1.1 1995/09/24 14:04:13 pgw Exp */

#if !defined(_XM_NOTEBOOK_H_)
#define _XM_NOTEBOOK_H_

#include <Xm/Manager.h>

#if defined(__cplusplus)
extern "C" {
#endif

#if 0
/* Future widgets? (Warp Style) */
/* ======================================================================== */
/* Folder Widget */
extern WidgetClass xmFolderWidgetClass;
typedef struct _XmFolderRec *XmFolderWidget;
typedef struct _XmFolderClassRec *XmFolderWidgetClass;

#define XmIsFolder(w) XtIsSubclass((w), xmFolderWidgetClass)

Widget XmCreateFolder(Widget parent,  
                      char *name, 
                      Arg *arglist, 
                      Cardinal argcount);

/* item is usually a form (page) widget, but can be anything */
Widget XmFolderGetItem(Widget folder, int position);
void XmFolderAddItem(Widget folder, Widget item, int position);
void XmFolderRemovePos(Widget folder, int position);
void XmFolderRemoveItem(Widget folder, Widget item);
void XmFolderSetActive(Widget folder, int position);

/* new resource definitions */               /* Access */
#define XmNactiveItem "activeItem"           /*   G */
#define XmNitemCount "itemCount"             /*   G */
#define XmNitems "items"                     /*   G */
#define XmNnextButton "nextButton"           /*   G */
#define XmNpreviousButton "previousButton"   /*   G */

/* ======================================================================== */
/* Notebook Widget */
/* looks as if the Notebook widget can inherit from the folder widget. */ 
/* yes, next and previous buttons are valid in the note book */

Widget XmCreateNotebook(Widget parent,  
                        char *name, 
                        Arg *arglist, 
                        Cardinal argcount);

/* item is usually a Folder or a Form (Page) widget */
Widget XmNotebookGetItem(Widget notebook, int position);
void XmNotebookAddItem(Widget notebook, Widget item, int position);
void XmNotebookRemovePos(Widget notebook, int position);
void XmNotebookRemoveItem(Widget notebook, Widget item) 
void XmNotebookSetActive(Widget notebook, int position);
/* 
 *  XmNotebookGetTab
 *  returns a pushbutton or a label widget in reality. 
 */
Widget XmNotebookGetTab(Widget notebook, int position);

#define XmNactiveTab "activeTab"             /*   G */
#define XmNtabs "tabs"                       /*   G */
#define XmNtabPlacement "tabPlacement"       /* CSG */
#define XmNcornerStyle "cornerStyle"         /* CSG */

/* enums for tab placement */
enum {
   XmTAB_TOP,
   XmTAB_LEFT,
   XmTAB_RIGHT,
   XmTAB_BOTTOM 
};

#endif

#if defined(__cplusplus)
}
#endif

#endif

