/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* Frame.C,v 1.4 1995/10/19 12:45:01 pgw Exp */
#include <Xarm/Frame.h>

/* FrameClass member functions */
/* resources */
void
FrameClass::marginWidth(Dimension d)
{
   XtVaSetValues(widget(),XmNmarginWidth,d, NULL);
}

Dimension
FrameClass::marginWidth()
{
   Dimension d;
   XtVaGetValues(widget(),XmNmarginWidth, &d, NULL);
   return d;
}

void
FrameClass::marginHeight(Dimension d)
{
   XtVaSetValues(widget(),XmNmarginHeight,d, NULL);
}

Dimension
FrameClass::marginHeight()
{
   Dimension d;
   XtVaGetValues(widget(),XmNmarginHeight, &d, NULL);
   return d;
}

void
FrameClass::shadowType(unsigned char s)
{
   XtVaSetValues(widget(),XmNshadowType,s, NULL);
}

unsigned char
FrameClass::shadowType()
{
   unsigned char c;
   XtVaGetValues(widget(),XmNshadowType, &c, NULL);
   return c;
}

Frame::Frame(Widget parent, ArgList arglist, Cardinal cnt, _XtString name)
{
   Widget wid = createWidget(name, parent, arglist, cnt);
   widget(wid);
}

Frame::Frame(_XtString name, Widget parent)
{
   Widget wid = createWidget(name, parent, NULL, 0);
   widget(wid);
}


