/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* MenuBar.C,v 1.4 1995/10/19 12:45:06 pgw Exp */
#include <Xarm/RowColumn.h>

/* MenuBarClass member functions */
void
MenuBarClass::help(Widget button)
{
   if(button)
      XtVaSetValues(widget(),XmNmenuHelpWidget,button, NULL);
}

Widget
MenuBar::createWidget(_XtString name, Widget parent, ArgList arglist, Cardinal cnt)
{
   if(name == NULL || *name == '\0') { name = className(); }
   return XmCreateMenuBar(parent, name, arglist, cnt);
}

MenuBar::MenuBar(Widget parent, ArgList arglist, Cardinal cnt, _XtString name)
{
   Widget wid = createWidget(name, parent, arglist, cnt);
   widget(wid);
}

MenuBar::MenuBar(_XtString name, Widget parent)
{
   Widget wid = createWidget(name, parent);
   widget(wid);
}


