/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* SeparatoG.C,v 1.4 1995/10/19 12:45:17 pgw Exp */
#include <Xarm/SeparatoG.h>
/* SeparatorGadgetClass member functions */

void 
SeparatorGadgetClass::margin(Dimension m)
{
   XtVaSetValues(widget(), XmNmargin, m, NULL);
}

Dimension
SeparatorGadgetClass::margin()
{
   Dimension d;
   XtVaGetValues(widget(), XmNmargin, &d, NULL);
   return d;
}

void 
SeparatorGadgetClass::orientation(unsigned char o)
{
   XtVaSetValues(widget(), XmNorientation, o, NULL);
}

unsigned char
SeparatorGadgetClass::orientation()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNorientation, &c, NULL);
   return c;
}

void 
SeparatorGadgetClass::separatorType(unsigned char s)
{
   XtVaSetValues(widget(), XmNseparatorType, s, NULL);
}

unsigned char
SeparatorGadgetClass::separatorType()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNseparatorType, &c, NULL);
   return c;
}

/* constructors */
SeparatorGadget::SeparatorGadget(Widget parent, 
                                 ArgList arglist,
                                 Cardinal cnt,
                                 _XtString name)
{
   Widget w = createWidget(name, parent, arglist, cnt);
   widget(w);
   manage();
}

SeparatorGadget::SeparatorGadget(_XtString name, Widget parent)
{
   Widget w = createWidget(name, parent);
   widget(w);
   manage();
}
/* */
