/*
 * Copyright (C) 1994 Jettero Heller
 * Copyright (C) 1994, 1995 Peter Williams
 *
 * You may distribute under the terms of the GNU Library General Public 
 * License as specified in the COPYING file that comes with the Xarm library.
 *
 */
/* TopLevelS.C,v 1.3 1995/10/19 12:45:23 pgw Exp */

/* Include(s): */
#include <Xarm/Shell.h>

/* TopLevelShellClass Members */
void 
TopLevelShellClass::realize() 
{ 
   XtRealizeWidget(widget()); 
}

void 
TopLevelShellClass::unrealize() 
{ 
   XtUnrealizeWidget(widget()); 
}

void 
TopLevelShellClass::iconic(Boolean cond)
{
   XtVaSetValues(widget(), XmNiconic, cond, NULL);
}

void
TopLevelShellClass::iconName(_XtString str)
{
   /* notice no translation to XmString here */
   XtVaSetValues(widget(),XmNiconName,str, NULL);
}

void
TopLevelShellClass::iconNameEncoding(Atom eve)
{
   XtVaSetValues(widget(),XmNiconNameEncoding,eve, NULL);
}

